<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">Warrior</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">He_Arc::RPG::Warrior Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CharacterClass</b>() (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CharacterClass</b>(const CharacterClass &amp;character) (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aafe993f8df4d10236808bf056074d5cc">CharacterClass</a>(int level, int strength, int agility, int intelligence, int perception, int hp, string name, shared_ptr&lt; IObject &gt; object=nullptr)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a62f13ee7042201511ab24246764653ca">Clone</a>() const override</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a73036d087b106b6c30ffd951ab11f2ef">DAMAGE_SKILL_FULLPOWER</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5ccc7ab4a3039340630901c2671428a8">GetAgility</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a8ca19e00600c97d925e490e1eca3971e">GetBackpack</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a745467f29720ff3045d3f7e3451e1baa">GetClassTypeName</a>() const override</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#af32d2f582c0a79d14e704162611390ee">GetHp</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a139c78daaeff2aec35d4b44e1a06318d">GetIntelligence</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a9e5ce353cf6cdb160c7ee7f80b756c07">GetLevel</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79810fa3d8d053c3c20252e248e344bd">GetName</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0ecb6c230a3199d9ab73cca57e85907a">GetObject</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aa130bf887bb9724acb0b743cb001ab82">GetPerception</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0900bfb38ea138025e9ee08722894afc">GetSpells</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a7077e043f3aaba9fe29f989778238ddc">GetStrength</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a6881bd26fe586cd8bddb408cad2d05d0">Heal</a>(int amount)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aad2d66fcb380f6d48286db4840684e9b">IncreaseLevel</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#aa6207c6bf164e5bbf0a4d7abb06ce2ed">Interact</a>(const CharacterClass &amp;character) const override</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aceed2329152d2a179c8c888daf5a09bd">m_agility</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aebb463c3a8725b3ac6e1bac04fad0315">m_backpack</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5a98c6a47e818e86ac75a0166bb8c3c0">m_hp</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ab7f3dbdf4a92a55e2ecf810f984c33c1">m_intelligence</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a569272e38e69aaf6f1285a9e3811f95c">m_level</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ad8821a9a8c02c7db1db065a48ceedfc7">m_name</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79735b9d6e6d9201385dd97efe545a53">m_perception</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0acb8820b5a72d70df97395c7546fdac">m_pObject</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a74cff61680b7b76ba8a80db23b8fd798">m_spells</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a140f440d1d3332267268791ad9a2cc3e">m_statDice</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#abda9c8d99244d23c15c56ac8d9ff0617">m_strength</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const Warrior &amp;character) (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0c3921c2f64d9b55759e578b50db111b">He_Arc::RPG::CharacterClass::operator=</a>(const CharacterClass &amp;character)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a0ab0b4e70b74dd32c9d634c559fea926">RANGE_SKILL_FULLPOWER</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a215cd4e01d7f18a374a3ae3b4f594a03">SetBackpack</a>(shared_ptr&lt; Backpack &gt; backpack)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#adffa504eb4343ba2060fb41439eb5228">SetName</a>(string name)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ac7bd4a9689ccdd9a7035853053d6f889">Show</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#acf47fd89e0ec51f4be66c6108ec97ea7">SufferDamage</a>(int damage)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a64f92249bbc471189621ca4b3a84ccd3">UseObject</a>(CharacterClass *character=nullptr)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a4ed7db4fef11887702f3028f047698cc">UseSkill</a>(CharacterClass *target) override</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a528c5b69dffbb9e27e7e6962c9ef4124">Warrior</a>(int level=1, int strength=15, int agility=12, int intelligence=5, int perception=10, double hp=12, string name=&quot;no_name&quot;, shared_ptr&lt; IObject &gt; object=make_shared&lt; Sword &gt;(Sword{&quot;Normal Sword&quot;, 7}))</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~CharacterClass</b>() (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Warrior</b>()=default (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html">He_Arc::RPG::Warrior</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
